package com.yh.saas.plugin.yiliangyiyun.exception;

import lombok.Getter;

/**
 * 管理错误码
 * 
 * @author yul
 *
 */
public enum YExceptionEnum {

	WAREHOSE_SYSTEM_ERROR("ERROR", "现有库存不为0，不可删除！"),
	CONTRACT_NO_ERROR("ERROR", "合同编号已存在，不可重复！"),
	AGREEMENT_NO_ERROR("ERROR", "补充协议已存在，不可重复！"),
	WAREHOUSE_NO_ERROR("ERROR","仓库不存在"),
	WAREHOUSE_NAME_ERROR("ERROR", "仓库名称已存在，不可重复！"),
	POSITION_NO_ERROR("ERROR","库位不存在"),
	POSITIONSTORAGE_NO_ERROR("ERROR","没有储存量"),
	INVENTORY_NO_ERROR("ERROR","出库量大于库存量"),
	INNETWEIGHT_NO_ERROR("ERROR","出库量大于入库量"),
	TASK_NO_ERROR("ERROR","任务编号已存在，不可重复！"),
	TRAN_PROCESS_SORT_ERROR("ERROR","多阶段任务，不可删除！"),
	TRAN_PROCESS_ERROR("ERROR","运输阶段已完成，不可修改！"),
	WAREHOUSE_NO_CLEARED("ERROR","还有未完成记录，不可以清仓！"),
	DRIVER_PHONE_ERROR("ERROR001", "司机手机号重复，不可添加！"),
	DRIVER_NUMBER_ERROR("ERROR002", "司机身份证号重复，不可添加！"),
	PAYEE_NUMBER_ERROR("ERROR003", "收款人身份证号重复，不可添加！"),
	INTERVER_WORKFLOW_ERROR("INTERVIEW-001", "出入库任务审核没有可以进行的工作流！"),
	FAILED_TO_EXAMINE("ERROR","该身份认证还未通过审核，无法更换手机号"),
	AUTHENTICATION_INFORMATION_CHANGE_FAILED("ERROR","身份认证状态审核中或已通过审核，无法更改身份认证信息"),
	PURCHASE_ORDER_ERROR("PURCHASE-001", "审核没有可以进行的工作流！"),
	PURCHASE_ORDER_ERROR1("PURCHASE-002", "客户未确认卸货不可结转！"),
	PURCHASE_PRICE_ERROR("PURCHASE-003", "每种粮食只能设置一次！"),
	CARNO_SUBMITTED_ERROR("TRAN-001", "该车牌号已被提交过！"),
	CONTRACT_NO_NOT_EXSITS_ERROR("ERROR", "合同编号不存在！"),
	TASK_NO_NOT_EXSITS_ERROR("ERROR", "移库任务编号不存在！"),
	TASK_WEIGHT_EXCEEDED_ERROR("ERROR-001", "超出任务重量无法操作成功！"),
	TRANTASK_NOT_CREATED_ERROR("ERROR-002", "内勤尚未创建运输任务！"),
	PAYMENT_NOT_DELETED_ERROR("ERROR", "请先删除对应的付款信息！"),
	WEIGHT_NOT_DELETED_ERROR("ERROR", "请先删除对应的检斤信息！"),
	QUALITY_NO_ERROR("ERROR", "业务编号已存在，不可重复！"),
	;
	@Getter
	private String value;

	@Getter
	private String desc;

	private YExceptionEnum(String value, String desc) {
		this.value = value;
		this.desc = desc;
	}

	@Override
	public String toString() {
		return "[" + this.value + "]" + this.desc;
	}
}
